#!/usr/bin/perl -w
###################################################################
#  GTChat 0.95 Alpha Plugin                                       #
#  Written for release 20021120                                   #
#  Author: Michael Becker                                         #
#  michael@vonbecker.de                                           #                                                                 #
#  This plugin manages the Botty Plugin.                          #
#                                                                 #
###################################################################

package GTChat::Plugins::Administration::Botty_add;
use strict;
my$plname="./Plugins/CommandHandlers/Botty.pm";
my$log="./Variables/bottylog.txt";

return bless({
           action_handlers => {
                 admin_botty  => \&add,
                              },
     });
sub add{
my($self,$main,$output) = @_;
my$eingabe= $ENV{'QUERY_STRING'};
my@eingabe;my%ausgabe;my$abfrage;my$aus1a;my$aus2a;my$aus3a;my$aus1b;my$aus2b;my$aus3b;
my$aus1c;my$aus2c;my$aus3c;my$prio;
@eingabe = split(/&/, $eingabe);
foreach my$Feld (@eingabe)
         {
          (my$name, my$wert) = split(/=/,  $Feld);
           $name =~ tr/+/ /;
           $name =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack ("C", hex($1))/eg;
           $wert =~ tr/+/ /;
           $wert =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack ("C", hex($1))/eg;
           $ausgabe{$name} = $wert;
          }
my$abfrage1 = "\$text =~ /\\b$ausgabe{Key1a}\\b/i";
my$abfrage2 = "\$text =~ /\\b$ausgabe{Key1a}\\b/i || \$text =~ /\\b$ausgabe{Key2a}\\b/i";
my$abfrage3 = "\$text =~ /\\b$ausgabe{Key1a}\\b/i || \$text =~ /\\b$ausgabe{Key2a}\\b/i || \$text =~ /\\b$ausgabe{Key3a}\\b/i";
my$abfrage4 = " and \$text =~ /\\b$ausgabe{Key1b}\\b/i";
my$abfrage5 = " and \$text =~ /\\b$ausgabe{Key1b}\\b/i || \$text =~ /\\b$ausgabe{Key2b}\\b/i";
my$abfrage6 = " and \$text =~ /\\b$ausgabe{Key1b}\\b/i || \$text =~ /\\b$ausgabe{Key2b}\\b/i || \$text =~ /\\b$ausgabe{Key3b}\\b/i";
my$abfrage7 = " and \$text =~ /\\b$ausgabe{Key1c}\\b/i";
my$abfrage8 = " and \$text =~ /\\b$ausgabe{Key1c}\\b/i || \$text =~ /\\b$ausgabe{Key2c}\\b/i";
my$abfrage9 = " and \$text =~ /\\b$ausgabe{Key1c}\\b/i || \$text =~ /\\b$ausgabe{Key2c}\\b/i || \$text =~ /\\b$ausgabe{Key3c}\\b/i";
print "Content-type: text/html\n\n";
print "<html>";
print "<head>";
print "</head>";
print "<body text='#000000' bgcolor='#E0E0E0' link='#FF0000' alink='#FF0000' vlink='#FF0000'>";
print "<div align='center'><h1>Botty Tool</h1></div>";

$main->open(*FILE, "<$log") || return undef;
my@lines = <FILE>;
$main->close(*FILE);
       if ($ausgabe{loeschen} eq "Lschen" )
         {
           shift @lines;
           $main->open(*FILE, ">$log") || return undef;
           foreach my$item (@lines) { print FILE $item }
           $main->close(*FILE);
         }
   if ($ausgabe{Key1a} ne "" ) {
   if ($ausgabe{Key2a} eq "") {
                            $abfrage = $abfrage1; $aus1a = "$ausgabe{Key1a}";$prio=1;
                            }
   elsif ($ausgabe{Key3a} eq "") {
                            $abfrage = $abfrage2; $aus2a = "oder $ausgabe{Key2a}";$prio=1;
                              }
   else { $abfrage = $abfrage3; $aus3a = " oder $ausgabe{Key3a}"; $aus2a = ", $ausgabe{Key2a}" };$prio=1;
   if ($ausgabe{Key1b} ne  "" and $ausgabe{Key2b} eq "") {
   $abfrage .= $abfrage4; $aus1b = "und  $ausgabe{Key1b}";$prio=2;
                            }
   elsif ($ausgabe{Key1b} ne  "" and $ausgabe{Key3b} eq "") {
   $abfrage .= $abfrage5; $aus1b = "und  $ausgabe{Key1b}"; $aus2b = "oder  $ausgabe{Key2b}";$prio=2;
                                                         }
   elsif ($ausgabe{Key1b} ne  "" and $ausgabe{Key3b} ne "") {
   $abfrage .= $abfrage6; $aus1b = "und  $ausgabe{Key1b}"; $aus2b = ",  $ausgabe{Key2b}"; $aus3b = "oder  $ausgabe{Key3b}";$prio=2;
                                                         }
   if ($ausgabe{Key1c} ne  "" and $ausgabe{Key2c} eq "") {
   $abfrage .= $abfrage7; $aus1c = "plus zustzlich  $ausgabe{Key1c}";$prio=3;
                                                      }
   elsif ($ausgabe{Key1c} ne  "" and $ausgabe{Key3c} eq "") {
   $abfrage .= $abfrage8; $aus1c = "plus zustzlich  $ausgabe{Key1c}"; $aus2c = "oder  $ausgabe{Key2c}";$prio=3;
                                                         }
   elsif ($ausgabe{Key1c} ne  "" and $ausgabe{Key3c} ne "") {
   $abfrage .= $abfrage9; $aus1c = "plus zustzlich  $ausgabe{Key1c}"; $aus2c = ",  $ausgabe{Key2c}"; $aus3c = "oder  $ausgabe{Key3c}";$prio=3;
                                                         }
my$add =  "        elsif ($abfrage)
        {
                return '$ausgabe{antwort}';
        }
\#Zeile fr neuen Eintrag.$prio";

$main->open(*FILE, "<$plname") || return undef;
undef $/;
my$lesen = <FILE>;

$main->close(*FILE);
$lesen =~ s/#Zeile fr neuen Eintrag.$prio/$add/g;
my$schreiben = $lesen ;

$main->open(*FILE, ">$plname") || return undef;
print FILE "$schreiben";
close(FILE);
$main->close(*FILE);
}
$output=$lines[0];
print "<div align='center'><input name='botty_log' type='text' value='$output' size='70'></div>";
$main->printTemplate("/admin/admin_botty");
}
sub zurueck_geloescht{
print "<div align='center'><h2>Die Zeile wurde gelscht!</h2><br><br><br>";
print "<a href='$ENV{'HTTP_REFERER'}'>weiter</a></div>";

;
 }
sub zurueck_leer{
print "<div align='center'><h2>Die Eingabe darf nicht leer sein!</h2><br><br><br>";
print "<a href='$ENV{'HTTP_REFERER'}'>weiter</a></div>";
 }