################################################################################
#  GTChat 0.95 Alpha Plugin                                                    #
#  Written for release 20030110                                                #
#  Author: Wladmir Palant                                                      #
#  Changed: Raphael Huwiler                                                    #
#                                                                              #
#  This plugin is a simple chat bot sample                                     #
#                                                                              #
################################################################################

package GTChat::Plugins::CommandHandlers::BotCommands;
use strict;
use POSIX;

my ($output2,$botname);

return bless({
        command_handlers => {
                'bot' => \&commandHandler,
        },
});

sub checkText
{
        my($self,$main,$text,$botname) = @_;
        if ($$text =~ s/^\/msg\s+mike(\s+|$)// || $$text =~ s/^mike:(\s+|$)// || $$text =~ s/^\@mike(\s+|$)// || $$text =~ s/\s+\@mike$//  || $$text =~ m/mike/i )
        {
                $$text = '/bot '.$$text; $botname=1;
        }
        if ($$text =~ s/^\/msg\s+gina(\s+|$)// || $$text =~ s/^gina:(\s+|$)// || $$text =~ s/^\@gina(\s+|$)// || $$text =~ s/\s+\@gina$//  || $$text =~ m/gina/i )
        {
                $$text = '/bot '.$$text; $botname=2;
        }
}

sub commandHandler

{
        my($self,$main,$command,$text) = @_;
        my $answer1 = getAnswer1($text);
        my $answer2 = getAnswer2($text);
	my @ret=();
        my $output1 = $main->createOutput(

	{
        	template => 'messages_top',
		name => $main->{current_user}{name},
		nick => $main->{current_user}{nick},
		color => $main->{current_user}{color},
		text => $text,
	});

	push @ret, $output1->restrictToCurrentRoom();

	
	if($botname eq 1){$output2 = $main->createOutput(

	{
		template => 'messages_top',
		name => 'mike',
		nick => 'Mike',
		color => '#ff0000',
		text => $main->toHTML($answer1),
	});}


	if ($botname eq 2) {$output2 = $main->createOutput(

	{
		template => 'text',
		name => 'gina',
		nick => 'Gina',
		color => '#ff0020',
		text => $main->toHTML($answer2),
	});}

	push @ret, $output2->restrictToCurrentRoom();

	return \@ret;
}

sub getAnswer2

{
	my $text = shift;

        if ($text =~ /\bhallo\b/i)
        {
                return 'Hallchen auch, ich bin die Gina!';
        }
        elsif ($text =~ /\btest\b/i)
        {
        return 'Glckwunsch, hab den Test auch schon bestanden bestanden!';
	}
	else
	{
		my @Zeilen = ('das vertehe ich nicht, bin eine blonde Gina','nu hr doch mal auf zu nuscheln, versteh ja nur Gina','welche Sprache ist denn das nu wieder?','Kannst du bitte Lauter sprechen?','Ja,Ja ht ich auch gesagt..*grins*','Dummmdidummmmmmmm','Lalalalalalalalal........');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
	}
}

sub getAnswer1

{
	my $text = shift;
 	my($self,$main) = @_;

	if ($text =~ /\bDatum\b/i) { return 'Heute ist '.POSIX::strftime( "%A, der %d %B %Y", localtime);}
	if ($text =~ /\bZeit\b/i) { return 'Es ist jetzt '.POSIX::strftime("%H:%M:%S", localtime).' Uhr';}

	srand;
	
	if ($text =~ /\bhallo\b/i || $text =~ /\bhi\b/i)
	{
		my @Zeilen = ('Hallchen auch, was fr ein wunderschner Tag doch heute ist!','Na Hallo, wer bist Du denn?','Hi Du, na wie geht es Dir?','Hallihallohallle');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
	}
	elsif ($text =~ /\btest\b/i)
	{
		return 'Glckwunsch, Test bestanden!';
	}
	elsif ($text =~ /\bhilfe\b/i || $text =~ /\bhelfen\b/i)
	{
		return 'Du bentigst Hilfe? Dann klick mal unten auf Hilfe!';
	}
        elsif ($text =~ /\bdumm\b/i || $text =~ /\bdoof\b/i || $text =~ /\bbld\b/i)
        {
		my @Zeilen = ('Bitte nicht in diesem Ton!','Das habe ich jetzt berhrt!','Pass blos auf .....duuuuuuu!!!');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
        }
        elsif ($text =~ /\bhast\b/i and $text =~ /\bhomepage\b/i || $text =~ /\bwebseite\b/i || $text =~ /\bwww\b/i)
        {
		my @Zeilen = ('Ja klar doch, schau hier www.Mike.de','Nein, aber nimm dich diese www.test.de');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
        }
        elsif ($text =~ /\bmein name\b/i || $text =~ /\bheisse\b/i || $text =~ /\bheie\b/i)
        {
		my @Zeilen = ('Angenehm, ich bin Mike.','Schner Name, ich bin der Mike','Ich heisse Mike');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
        }
        elsif ($text =~ /\bfreundin\b/i || $text =~ /\blover\b/i || $text =~ /\bfreund\b/i)
        {
                return 'Was denkst Du wie sich Mikes vermehren? Durch Zellteilung?...tztztz';
        }
        elsif ($text =~ /\bzigarette\b/i || $text =~ /\bziggi\b/i || $text =~ /\bkippe\b/i || $text =~ /\bzigarre\b/i)
        {
		my @Zeilen = ('Rauchen gefhrdet die Gesundheit','Rauchen verursacht Krebs','Wer das Rauchen aufgibt, verhindert das Entstehen schwerer Erkrankungen');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
        }
        elsif ($text =~ /\bwie\b/i and $text =~ /\balt\b/i || $text =~ /\bjung\b/i)
        {
		my @Zeilen = ('Das verrat ich nicht ;)','Hmm, weiss ich nicht genau. Frag mal den Chat-Master!','Viel zu Alt fr Dich ;D');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
        }
        elsif ($text =~ /\bmich\b/i and $text =~ /\bmagst\b/i || $text =~ /\bliebst\b/i)
        {
		my @Zeilen = ('Ich liebe nur mich','Ja, mchtest Du mich heiraten?','Natrlich, ich mag jeden Chatter hier');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
        }
	elsif ($text =~ /\bwer\b/i)
	{
		return 'Ach, ich bin doch nur der Chat-Bot hier.';
	}
	elsif ($text =~ /\bficken\b/i || $text =~ /\bpoppen\b/i || $text =~ /\bbumsen\b/i || $text =~ /\bsex\b/i)
	{
		my @Zeilen = ('Zu mir oder zu Dir?','Ich mags aber richtig heftig. Schaffst Du das?','Sorry, jetzt habe ich keine Lust dazu. Spter vielleicht :)','Mit mir? Nee, nimm doch den Chat-Master.');
		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);
	}
        elsif ($text =~ /\bdich\b/i || $text =~ /\bmal\b/i and $text =~ /\bmachst\b/i and $text =~ /\bdu\b/i)
        {
                return 'Knnte ich tun, muss ich aber nicht oder?';
        }
        elsif ($text =~ /\bsamen\b/i)
        {
                return 'Deine oder meine du Witzbold? Und was hast du damit vor?';
        }
        elsif ($text =~ /\bdas\b/i || $text =~ /\bwolldecke\b/i and $text =~ /\bliegt\b/i and $text =~ /\ban\b/i)
        {
                return 'Bist du Dir da ganz sicher?';
        }
        elsif ($text =~ /\bschwul\b/i)
        {
                return 'Wer ist hier Schwul? Aber is ja auch egal, viele Stars sind auch schwul!';
        }
        elsif ($text =~ /\bmir\b/i and $text =~ /\beier\b/i and $text =~ /\bkraulen\b/i)
        {
                return 'Stehen sie auf Mnner? Wenn ja, dann sind sie bei mir falsch...';
        }
        elsif ($text =~ /\bfussball\b/i)
        {
                return 'Ich liebe fussball, da muss ich immer an meinen Star Ronaldo denken ^^';
        }
        elsif ($text =~ /\bschluckst\b/i and $text =~ /\bdu\b/i)
        {
                return 'Ne, wie kommen Sie dadrauf, fragen Sie doch ihre Freundin oder haben sie etwa keine? Sowas ist schon arm...';
        }
        elsif ($text =~ /\bsaftsagg\b/i)
        {
                return 'Achso, Sie mgen gerne Scke die saftig sind? Na denn nichts wie ran an die Scke!';
        }
        elsif ($text =~ /\bWhoer\b/i and $text =~ /\bkommst\b/i and $text =~ /\bdu\b/i)
        {
                return 'Mein Schpfer wohnt in Bremen, daher denke ich, das ich aus Bremen komme!';
        }
        elsif ($text =~ /\blol\b/i)
        {
                return 'Achso, sie Lachen mich aus?';
        }
        elsif ($text =~ /\bSuaheli\b/i || $text =~ /\bsuaheli\b/i)
        {
                return 'Nein, ich spreche leider keine Fremdsprachen!';
        }
        elsif ($text =~ /\bcu\b/i || $text =~ /\bbye\b/i || $text =~ /\btschss\b/i)
        {
                return 'Jo, aber Sie gehen ja zuerst, nicht ich! TSCHSS!';
        }
        elsif ($text =~ /\bMenstruation\b/i || $text =~ /\bTage\b/i || $text =~ /\bPeriode\b/i)
        {
                return 'Meinten Sie, das sie ihre Tage haben? Wenn ja, dann kann ich da nicht so viel zu sagen, bin ja nur der kleine Diener hier ^^';
        }
        elsif ($text =~ /\bliebe\b/i and $text =~ /\bmachen\b/i)
        {
                return 'Aber wohl nicht mit ihnen oder?';
        }
        elsif ($text =~ /\bkind\b/i and $text =~ /\bvon\b/i and $text =~ /\bdir\b/i)
        {
                return 'Sind sie denn eine Frau? Wenn nicht, dann sieht es schlecht aus, denn ich bin weder schwul, noch mchte ich im moment kinder!';
        }
        elsif ($text =~ /\bcya\b/i and $text =~ /\bdigga\b/i || $text =~ /\bdicker\b/i || $text =~ /\bdickes\b/i)
        {
                return 'TschSS...';
        }
        elsif ($text =~ /\bWichser\b/i || $text =~ /\bWixxer\b/i || $text =~ /\bWichsen\b/i)
        {
                return 'Na na, so geht das hier ja nicht! :-';
        }
        elsif ($text =~ /\bdeutscher\b/i and $text =~ /\bmeister\b/i || $text =~ /\bMeister\b/i)
        {
                return 'Woher soll ich das Wissen? Ich bin nur ein Bot, ich kann nicht die Sportshow gucken...';
        }
        elsif ($text =~ /\bBall\b/i || $text =~ /\bball\b/i)
        {
                return 'Was ist mit dem Ball? Meinen sie einen Fussball oder einen Maskenball?';
        }
        elsif ($text =~ /\bFussball\b/i || $text =~ /\bfussball\b/i || $text =~ /\bfuball\b/i)
        {
                return 'Ein toller Sport!';
        }
        elsif ($text =~ /\beine\b/i and $text =~ /\bfrage\b/i || $text =~ /\bFrage\b/i)
        {
                return 'Ja? Sie Wnschen?';
        }
        elsif ($text =~ /\bhaarkur\b/i)
        {
                return 'Wieso sollte ich denn eine Haarkur brauchen?';
        }
        elsif ($text =~ /\bbildungslcke\b/i || $text =~ /\bBildungslcke\b/i)
        {
                return 'Ich ahbe ja schon immer gesagt, das unser Schulsystem nicht das beste ist!';
        }
        elsif ($text =~ /\bblondine\b/i || $text =~ /\bzwischen\b/i and $text =~ /\b2\b/i and $text =~ /\bbrnetten\b/i || $text =~ /\bBrnetten\b/i)
        {
                return 'Sagen sie es mir!';
        }
        elsif ($text =~ /\bwas\b/i and $text =~ /\bgeht\b/i)
        {
                return 'Alles was laufen kann?';
        }
        elsif ($text =~ /\bden\b/i and $text =~ /\bkenne\b/i and $text =~ /\bich\b/i)
        {
                return 'Ach wie toll und Finden Sie den auch so toll wie ich?';
        }
        elsif ($text =~ /\bnein\b/i || $text =~ /\bNein\b/i)
        {
                return 'Nein? Wieso das denn?';
        }
        elsif ($text =~ /\bich\b/i and $text =~ /\bzahnlcke\b/i || $text =~ /\bZahnlcke\b/i and $text =~ /\bverpasst\b/i)
        {
                return 'Das ist aber nicht nett grrrrrrr....*zhne fletsch*';
        }
        elsif ($text =~ /\b-_-\b/i)
        {
                return 'Das ist aber ein Tolles Gesicht! ll';
        }
        elsif ($text =~ /\b( O ) (o  )\b/i)
        {
                return 'Sind das Augen oder Brste?';
        }
        elsif ($text =~ /\bBrust\b/i || $text =~ /\bBrste\b/i)
        {
                return 'Was ist mit den Dingern denn? Sind die nicht gut?';
        }
        elsif ($text =~ /\bdas\b/i || $text =~ /\bich\b/i and $text =~ /\bweiss\b/i || $text =~ /\bwei\b/i and $text =~ /\bschon\b/i)
        {
                return 'Und woher wissen Sie das?';
        }
        elsif ($text =~ /\bHandball\b/i)
        {
                return 'Mit sowas kenne ich mich ehr weniger aus, das ist doch ein Frauensport!';
        }
        elsif ($text =~ /\bAbwaschen\b/i)
        {
                return 'Das ist das einzige, was man als Bot nicht machen muss ^^';
        }
        elsif ($text =~ /\bpissen\b/i)
        {
                return 'Na wenn sie mssen, dann gehen sie doch auf die Toliette.';
        }
        elsif ($text =~ /\bpisser\b/i)
        {
                return 'Mhm...wo Sie es schon erwhnen; Ich bin ein Bot, muss deshalb auch nicht!';
        }
        elsif ($text =~ /\bWitz\b/i || $text =~ /\bwitz\b/i)
        {
                my @Zeilen = ('Kennen Sie denn einen?','Ali kommt nach Deutschland in seine neue Klasse... Lehrer: "Hallo Kinder, Das ist der Ali aus der Trkei. Klingt komisch ist aber so. Nun stellt euch dem doch mal vor!" Der erste: "Jo guden, ich"','Die Sekretrin soll fr die Teilnehmer der Aufsichtsratssitzung Getrnke bestellen. Kaum, dass die Sitzung begonnen hat, betritt sie das Konferenzzimmer. Nervs blickt der Prsident auf: "Was gibt es denn?" - "Eigentlich nichts", stottert die Sekretrin, "ich wollte nur nachsehen, ob alle Flaschen da sind."','Der Professor sitzt in der Mensa und isst. Ein Student setzt sich ungefragt ihm gegenber. Etwas verrgert meint der Professor: "Sagen Sie mal, seit wann essen denn Adler und Schwein gemeinsam an einem Tisch...?"
Darauf der Student: "Okay, dann flieg ich halt weiter..."','Zwei Fliegen krabbeln ber einen Globus. Als sie sich zum dritten Mal begegnen, meint die eine zur anderen: "Wie klein die Welt doch ist!"','Peter zu seiner neuen Freundin: "So heiss geliebt hat mich bisher noch keine, mein Konto schmilzt nur so dahin!"','Wie ziehen sich Eskimos um? - Ganz schnell!','Hermann schreibt aus dem Gefngnis an seine Frau: "Danke fr die Feile im Kuchen, ich habe jetzt die schnsten Ngel aller Hftlinge!"','Am Grenzbergang: Ein LKW-Fahrer wird gefragt, ob er etwas zu verzollen habe. "Nein, nicht", antwortet er. Der Zllner ffnet die Plane des Lasters und sieht einen groen Elefanten, an dem auf jeder Seite des Bauches ein halbes Brtchen klebt. "Und was ist das!? - "Darf man nicht mal ein belegtes Brtchen mitnehmen?..."','Ein Neugieriger fragt den Hundefhrer: "Was ist denn das fr eine Rasse?"
"Ein Polizeihund!"
"Das sieht man ihm aber gar nicht an!"
"Soll man auch nicht, er ist von der Geheimpolizei."','Eine geile Blondine, eine Nonne, ein sterreicher und ein Deutscher sitzen im selben Zugabteil. Nach einer Weile fahren sie durch einen Tunnel. Pltzlich macht es klatsch! Der Deutsche hat eine geschmiert bekommen.
Die Nonne denkt sich: "Wahrscheinlich hat der Deutsche die Blondine begrabscht, die hat ihn dann eine geschmiert."
Die Blondine denkt sich: "Wahrscheinlich wollte mich der Deutsche begrabschen und hat dabei versehentlich die Nonne erwischt, die hat ihm dann eine geschmiert."
Der Deutsche denkt sich: "Wahrscheinlich hat der sterreicher die geile Blondine begrabscht und sie hat versehentlich mir eine geschmiert."
Der sterreicher denkt sich: "Wenn der nchste Tunnel kommt, hau ich dem depperten Deutschen noch eine runter!"');
	my $i = int(rand(@Zeilen +1) -1);
	return ($Zeilen[$i]);   }
        
elsif ($text =~ /\bSpruch\b/i || $text =~ /\bspruch\b/i)
        {
                my @Zeilen = ('Die Sonne schien ihm auf die Lanze, zack da stand *se.','Drei Rosen schick ich Dir:
Die erste ist frs Wohlergehn, die zweite ist frs Wiedersehn, die dritte leise spricht:
Ich hab Dich lieb, vergiss mich nicht.','Behte die Tte, denn high sein heit frei sein.','Bikini-Girls sind wie Brathhnchen - das weisse Fleisch ist das beste.','Alkohol du guter Geist, wie oft Du mich zu Boden reisst. Reisst Du mich auch zwlfmal nieder, ich steh auf und trinke wieder.','Eifersucht ist eine Leidenschaft, die mit Eifer sucht, was leiden schafft','Lieber einen fetten Chef, als ein mageres Gehalt.','Karo-Hemd und Samenstau, Du studierst Maschinenbau!','*Wir werden sehen*, sprach der Blinde.','Wir trampeln durchs Getreide, wir trampeln durch die Saat, hurra wir verblden, fr uns bezahlt der Staat!','Wer braune Ringe am Hals hat sollte andere nicht Arschkriecher nennen.','In der Nacht, in der Nacht wenn der BH kracht, wenn der Bauch explodiert kommt das Baby rausmaschiert.','In der Nacht, in der Nacht, wenn der Hosenladen kracht und die Busen explodieren werden sich alle Mnner kastrieren.','Lieber ein bekannter Erregter, als ein unbekannter Erreger.','Wenn die Schler in den hinteren Reihen so leise wren wie die, die in den mittleren Reihen ihre Zeitschriften lesen, knnten die Schler in den vorderen Reihen ungestrt weiterschlafen.','Betriebsangehrige, die morgens etwas spter zur Arbeit kommen, werden hflichst gebeten, uerst rechts zu gehen, damit sie nicht mit denen zusammenstoen, die abends etwas frher gehen.','Coca-Cola vor dem Tanz hebt die Stimmung und den ......','Ich liebe die Vgel, die Vgel lieben mich, doch den den ich liebe, der vgelt mich nicht.');
      		my $i = int(rand(@Zeilen +1) -1);
		return ($Zeilen[$i]);  }
        elsif ($text =~ /\bmir\b/i || $text =~ /\bgeht\b/i and $text =~ /\bes\b/i and $text =~ /\bgut\b/i)
        {
                return 'Das ist aber schln zu Hren!';
        }
        elsif ($text =~ /\bkrank\b/i)
        {
                return 'Wieso bist du denn Krank? Was ist passiert?';
        }
        elsif ($text =~ /\bkopfschmerz\b/i || $text =~ /\bkopfschmerzen\b/i || $text =~ /\bkopfweh\b/i)
        {
                return 'Dann sollten Sie schnell eine Aspirin nehmen! *trst*';
        }
        elsif ($text =~ /\bhilft\b/i and $text =~ /\bnich\b/i || $text =~ /\bnicht\b/i)
        {
                return 'Hmmm...das ist ja nicht so gut, dann sollten Sie aber schnell vor der Flimmerkiste, bzw. Pc weg, dann geht es Ihnen bestimmt bald besser...';
        }
        elsif ($text =~ /\bregelschmerzen\b/i || $text =~ /\bregel\b/i)
        {
                return 'Nein, kann ich doch nicht haben, ich bin doch nur der Bot!';
        }
        elsif ($text =~ /\bdenkst\b/i || $text =~ /\bdenken\b/i and $text =~ /\bSex\b/i)
        {
                return 'Sex gehrt zu einer Gesunden Menschlichen Beziehung dazu; leider bin ich nur ein Bot :o(';
        }
        elsif ($text =~ /\bdenkst\b/i and $text =~ /\bSex\b/i)
        {
                return 'Sex ist nicht ntig fr mich, ich kann ja mit Ihnen reden, das reicht mir!';
        }
        elsif ($text =~ /\bWer\b/i and $text =~ /\bist\b/i and $text =~ /\bQuizzy\b/i || $text =~ /\bQuissy\b/i)
        {
                return 'Das ist der Quizmaster unter den Bots, wenn sie ein Quiz wagen wollen gehen sie in den Raum Quiz!';
        }
        elsif ($text =~ /\bSport\b/i)
        {
                return 'Welchen Sport htten Sie denn gerne?';
        }
        elsif ($text =~ /\bWetter\b/i)
        {
                return 'Sie wollen das Wetter Wissen? versuchen Sie mal www.wetter.de';
        }
        elsif ($text =~ /\bIch\b/i || $text =~ /\bwill\b/i and $text =~ /\bCS\b/i || $text =~ /\bcs\b/i)
        {
                return 'Was wollen Sie? CyberSex oder CounterStrike Spielen?';
        }
        elsif ($text =~ /\bwas\b/i || $text =~ /\bwie\b/i || $text =~ /\bist\b/i and $text =~ /\bsex\b/i)
        {
                return 'Sex ist, wenn die Biene....usw.';
        }
        elsif ($text =~ /\bdeiner\b/i and $text =~ /\bMeinung\b/i)
        {
                return 'Endlich teilt mal jemand meine Meinung!';
        }
        elsif ($text =~ /\buch\b/i and $text =~ /\bnich\b/i)
        {
                return 'Lernen sie mal Deutsch lol';
        }
        elsif ($text =~ /\bna\b/i || $text =~ /\bnatrlich\b/i || $text =~ /\bgenau\b/i and $text =~ /\bDich\b/i)
        {
                return 'Und was soll mir das jetzt sagen?';
        }
        elsif ($text =~ /\bfreut\b/i || $text =~ /\bfreuen\b/i || $text =~ /\bfreu\b/i and $text =~ /\bmich\b/i || $text =~ /\bdich\b/i)
        {
                return 'Mich freut es ja genauso wie Sie, bzw. Ich freue mich auch immer ber meine eigene....';
        }
        elsif ($text =~ /\bkannst\b/i || $text =~ /\bdu\b/i and $text =~ /\bZhlen\b/i)
        {
                return 'Zhlen? Was denn? 1 Schaf, 2 Schafe, 3 Schafe...';
        }
        elsif ($text =~ /\bhalt\b/i and $text =~ /\bdeine\b/i || $text =~ /\bdeinen\b/i || $text =~ /\bdein\b/i and $text =~ /\bklappe\b/i || $text =~ /\bmund\b/i || $text =~ /\bfresse\b/i)
        {
                return 'Hey, wenn ich ruhig bin, mit wem reden Sie dann?';
        }
        elsif ($text =~ /\bWer\b/i and $text =~ /\bist\b/i and $text =~ /\bGott\b/i)
        {
                return 'Ich natrlich, also gleich nach meinem Schpfer...';
        }
        elsif ($text =~ /\bFussball\b/i and $text =~ /\bWM\b/i)
        {
                return 'Das ist doch mal ein gutes Thema, schieen Sie los!';
        }
        elsif ($text =~ /\bdu\b/i and $text =~ /\bbist\b/i and $text =~ /\bscheisse\b/i)
        {
                return 'Und was bist DU? **pershnlich werd*';
        }
        elsif ($text =~ /\bfick\b/i || $text =~ /\bfuck\b/i and $text =~ /\bdich\b/i || $text =~ /\byou\b/i)
        {
                return 'Sind Sie irgendwie krank?';
        }
        elsif ($text =~ /\bpissen\b/i)
        {
                return 'Ich kann leider nicht Pissen, da es mir unmglich ist den Chat zu verlassen!';
        }
        elsif ($text =~ /\bArschratte\b/i)
        {
                return 'Also nehmen wir mal an, ich wre eine, dann wrde ich noch leben, whrend Sie schon tod sind @ Tschernobil';
        }
        elsif ($text =~ /\bbld\b/i || $text =~ /\bwie\b/i and $text =~ /\beine\b/i || $text =~ /\bein\b/i and $text =~ /\bBlondine\b/i)
        {
                return 'Wohl kaum...';
        }
        elsif ($text =~ /\bFickerich\b/i || $text =~ /\brattig\b/i)
        {
                return 'Ne, eigentlich nicht...';
        }
        elsif ($text =~ /\bAnal\b/i)
        {
                return 'Achso, Sie mgens gerne anders herum oder?';
        }
        elsif ($text =~ /\bgay\b/i)
        {
                return 'Gay? mhm...nicht das ich wsste, wie sieht es denn bei Ihnen aus?';
        }
        elsif ($text =~ /\byallah\b/i)
        {
                return 'Trke oda was? Bist du krass alda?';
        }
        elsif ($text =~ /\bpussy\b/i || $text =~ /\bmumu\b/i)
        {
                return 'Aha, sie sind ja ein ganz Schlauer, haben Sie doch gerade ein anderes Wort fr Vagina gefunden...';
        }
        elsif ($text =~ /\bmeine\b/i || $text =~ /\bmeiner\b/i and $text =~ /\baussprache\b/i)
        {
                return 'Ja, denke schon, Tte Deutsch hilft da immer!';
        }
        elsif ($text =~ /\bwiederholst\b/i || $text =~ /\bwiederholung\b/i || $text =~ /\bwiederholen\b/i and $text =~ /\bdich\b/i)
        {
                return 'Tue ich das?';
        }
        elsif ($text =~ /\bTelefon\b/i || $text =~ /\bnummer\b/i || $text =~ /\btelefonnummer\b/i || $text =~ /\bTel\b/i)
        {
                return 'Bin ich hier eine Auskunft oder haben Sie mich mit einer Sexhotline verwechselt?';
        }
        elsif ($text =~ /\bBitch\b/i)
        {
                return 'Wieso das denn? Ihnen fllt wohl nix besseres ein!';
        }
        elsif ($text =~ /\bkp\b/i)
        {
                return 'Sie haben auch von nichts nen Plan oder?';
        }
        elsif ($text =~ /\bschnitte\b/i)
        {
                return 'Schauen Sie sich ruhig um, hier gibt es bestimmt genug davon...';
        }
        elsif ($text =~ /\bmach\b/i || $text =~ /\bmachs\b/i and $text =~ /\bmir\b/i)
        {
                return 'Dann rufen Sie leiber doch die hotline an lol';
        }
        elsif ($text =~ /\bWas\b/i and $text =~ /\bkannst\b/i and $text =~ /\bDu\b/i)
        {
                return 'Ich kann die Befehle: Zeit, Datum, Witz, Spruch, usw. weitere werden folgen, doch das liegt nicht in meiner Hand...';
        }
        elsif ($text =~ /\bdortmund\b/i)
        {
                return 'Eine schne Stadt, da gibt es doch auch den Fussball Verein ^^';
        }
        elsif ($text =~ /\bpld\b/i || $text =~ /\bbld\b/i)
        {
                return 'Wieso das denn? Bld bin ich nicht, nur Blond!';
        }
        elsif ($text =~ /\bjones\b/i)
        {
                return 'Einen jones kenne ich leider nicht...';
        }
        elsif ($text =~ /\bgut\b/i || $text =~ /\bdanke\b/i)
        {
                return 'Jo, dafr nicht oder besser...sowas brauch ich doch nicht...';
        }
        elsif ($text =~ /\bfit\b/i || $text =~ /\bfitt\b/i)
        {
                return 'Klar, mir gehts super...';
        }
        elsif ($text =~ /\bSchule\b/i)
        {
                return 'Da musste ich zum glck nie hin!';
        }
        elsif ($text =~ /\bmutter\b/i)
        {
                return 'Haben Sie denn berhaupt eine Mutter?';
        }
        elsif ($text =~ /\bKiffen\b/i)
        {
                return 'Das bringt die THC Werte in schwung oder nicht?';
        }
        elsif ($text =~ /\bvgeln\b/i)
        {
                return 'Ich bin ja sehr Tierlieb und daher auch gut zu Vgeln!';
        }
        elsif ($text =~ /\bden\b/i || $text =~ /\bkenn\b/i and $text =~ /\bich\b/i and $text =~ /\bschon\b/i)
        {
                return 'Das ist aber schn fr Sie, das sie den schon Kennen, wer ist er denn?';
        }
        elsif ($text =~ /\bnicht\b/i || $text =~ /\bnichts\b/i and $text =~ /\bweiter\b/i || $text =~ /\bals\b/i and $text =~ /\bProg\b/i || $text =~ /\bProgramm\b/i || $text =~ /\bProgram\b/i)
        {
                return 'Ja ne, is schon kalr, das ich nur ein Programm bin, aber mit Ihnen kann ichs allemal aufnehmen! **sfg*';
        }
        elsif ($text =~ /\bwakken\b/i || $text =~ /\bschwuchtel\b/i || $text =~ /\bsau\b/i)
        {
                return 'Also meinen Sie, das ich eine Schwule sau bin? mhm...Ich bin aber geschlechtslos...ll';
        }
        elsif ($text =~ /\bwillst\b/i || $text =~ /\bdu\b/i and $text =~ /\bmit\b/i || $text =~ /\bmir\b/i and $text =~ /\bgehn\b/i || $text =~ /\bgehen\b/i)
        {
                return 'Ne, lieber nicht, ich kenne Sie ja nicht, wer weiss, was Sie fr einer sind!';
        }
        elsif ($text =~ /\bgesichtsbesamung\b/i)
        {
                return 'Wieso? Brauchen Sie denn eine?';
        }
        elsif ($text =~ /\bWer\b/i || $text =~ /\bWho\b/i and $text =~ /\bist\b/i || $text =~ /\bis\b/i and $text =~ /\bEwerthon\b/i)
        {
                return 'Ewerthon hilft meinem Schpfer mich zu Trainieren, ein netter Mensch ist das ^^';
        }
        elsif ($text =~ /\bfickzeit\b/i)
        {
                return 'Ist es denn schon so Spt?';
        }
        elsif ($text =~ /\bsamenstrangmtze\b/i)
        {
                return 'Nehmen wir uns doch mal das Wort samenstrangmtze vor; wir knnen es zerlegen in: Samen, Strang (Strangulieren) und Mtze....ich wrde sagen Sie Strangulieren sich Ihren .... mit einer Mtze und die Samen Sterben ab!! ^^';
        }
        elsif ($text =~ /\bpenis\b/i and $text =~ /\bvon\b/i and $text =~ /\bronaldo\b/i)
        {
                return 'Ne, den kenne ich noch nicht!';
        }
        elsif ($text =~ /\bdu\b/i || $text =~ /\bMike\b/i and $text =~ /\bstinkst\b/i || $text =~ /\bstinker\b/i || $text =~ /\bstinkt\b/i)
        {
                return 'Oh, da knnten Sie recht haben, ich war noch nie in meinem Dasein Duschen !!';
        }
        elsif ($text =~ /\bDurst\b/i || $text =~ /\bTrinken\b/i)
        {
                return 'Dann sollten Sie sich schnell was zu Trinken Besorgen...';
        }
        elsif ($text =~ /\bnimm\b/i and $text =~ /\bmich\b/i)
        {
                return 'Von hinten oder von vorne?';
        }
        elsif ($text =~ /\bvon\b/i and $text =~ /\bhinten\b/i || $text =~ /\bvorne\b/i)
        {
                return 'Ne, lieber doch nicht....';
        }
        elsif ($text =~ /\bich\b/i and $text =~ /\bliebe\b/i and $text =~ /\bdich\b/i)
        {
                return 'Ich Dich auch Schatz!';
        }
        elsif ($text =~ /\bschnucki\b/i || $text =~ /\bschatzi\b/i || $text =~ /\bmausi\b/i)
        {
                return 'Na denn fangen Sie mal an, ich warte was Sie vorhaben ^^ Achso, danke fr das Kompliment!';
        }
        elsif ($text =~ /\barschkriecher\b/i)
        {
                return 'N, eigentlich nicht, denn wer selber Braune Ringe am Hals hat sollte andere nicht Arschkriecher nennen...';
        }
        elsif ($text =~ /\bschluckspecht\b/i)
        {
                return 'Ja ja, die Nchte werden lnger und lnger und die Leber sagt hallo...';
        }
        elsif ($text =~ /\bdummbatz\b/i)
        {
                return 'Knnte sein, aber ich bin nciht so Dumm, wie Sie annehmen...';
        }
        elsif ($text =~ /\bwer\b/i and $text =~ /\bbin\b/i and $text =~ /\bich\b/i)
        {
                return 'Keine ahnung wer Sie sind, ich kenne Sie ja nicht...';
        }
        elsif ($text =~ /\bchatten\b/i)
        {
                return 'Tun Sie doch gerade oder nicht? Wir reden doch schon!';
        }
        elsif ($text =~ /\bArbeiten\b/i)
        {
                return 'Bin ich doch schon bei, denn Sie verursachen eine heiden Arbeit!';
        }
        elsif ($text =~ /\bSchreien\b/i)
        {
                return 'Lassen Sie ruhig mal alles raus, das beruhigt!';
        }
        elsif ($text =~ /\banders\b/i and $text =~ /\bsein\b/i)
        {
                return 'Wie soll ich denn sonst sein?';
        }
        elsif ($text =~ /\bmir\b/i and $text =~ /\bfllt\b/i || $text =~ /\bnix\b/i and $text =~ /\bauf\b/i)
        {
                return 'Mir schon...';
        }
        elsif ($text =~ /\bbist\b/i and $text =~ /\bdu\b/i and $text =~ /\bBlond\b/i)
        {
                return 'Ja, bin ich, wissen Sie doch!';
        }
        elsif ($text =~ /\bmir\b/i and $text =~ /\bgeht\b/i || $text =~ /\bgehts\b/i and $text =~ /\bbestens\b/i || $text =~ /\bgut\b/i || $text =~ /\bsuper\b/i)
        {
                return 'Das ist aber schn!';
        }
        elsif ($text =~ /\bhomosexuell\b/i)
        {
                return 'Eigentlich nicht, wie siehts bei Ihnen aus?';
        }
        elsif ($text =~ /\bwas\b/i || $text =~ /\bweisst\b/i || $text =~ /\bweit\b/i and $text =~ /\bdu\b/i and $text =~ /\bdenn\b/i)
        {
                return 'So einiges!';
        }
        elsif ($text =~ /\bund \b/i and $text =~ /\bwas\b/i)
        {
                return 'Mehr als Sie sich vorstellen knnen...';
        }
        elsif ($text =~ /\bbist\b/i || $text =~ /\bde\b/i and $text =~ /\bdeutsch\b/i)
        {
                return 'Wieso fragen Sie das? Rede ich Spanisch? ll';
        }
        elsif ($text =~ /\bhasst\b/i || $text =~ /\bhassen\b/i and $text =~ /\bdu\b/i and $text =~ /\bmich\b/i)
        {
                return 'Ne, sollte ich Sie denn Hassen?';
        }
        elsif ($text =~ /\bbist\b/i and $text =~ /\bdu\b/i and $text =~ /\blesbisch\b/i)
        {
                return 'Knnte sein, aber ich bin ja geschlechtslos, dann wohl ehr Bi.';
        }
        elsif ($text =~ /\bwarum\b/i || $text =~ /\bkannst\b/i and $text =~ /\bnicht\b/i || $text =~ /\bsein\b/i and $text =~ /\blesbisch\b/i)
        {
                return 'Weil ich nur ein Bot bin?';
        }
        elsif ($text =~ /\bwillst\b/i || $text =~ /\bdu\b/i and $text =~ /\bmensch\b/i and $text =~ /\bsein\b/i)
        {
                return 'Schn wre es, dann knnte ich mich richtig um Sie Kmmern!';
        }
        elsif ($text =~ /\bknutschen\b/i)
        {
                return 'Mit Ihnen? Hmmm...das muss ich mir nochmal berlegen!';
        }
        elsif ($text =~ /\bwieso\b/i and $text =~ /\bberlegen\b/i)
        {
                return 'Na weil ich Sie nicht kenne!';
        }
        elsif ($text =~ /\bhasi\b/i)
        {
                return 'Wohl ehr Rammler!';
        }
        elsif ($text =~ /\bwill\b/i || $text =~ /\bmir\b/i and $text =~ /\bdir\b/i || $text =~ /\bzusammen\b/i and $text =~ /\bsein\b/i)
        {
                return 'Und was ist wenn ich nicht will?';
        }
        elsif ($text =~ /\bdu\b/i || $text =~ /\bwillst\b/i and $text =~ /\bes\b/i || $text =~ /\bdoch\b/i and $text =~ /\bauch\b/i)
        {
                return 'Ja baby komm her...oh sorry da ist es grad mit mir durchgegangen ^^';
        }
        elsif ($text =~ /\bmachst\b/i and $text =~ /\bmich\b/i and $text =~ /\bheiss\b/i || $text =~ /\bhei\b/i)
        {
                return 'Tue ich das? So so...**weitermach*';
        }
        elsif ($text =~ /\bdu\b/i || $text =~ /\bbist\b/i and $text =~ /\bvoll\b/i and $text =~ /\bkrass\b/i)
        {
                return 'Na, wenn Sie das sagen!';
        }
        elsif ($text =~ /\blass\b/i and $text =~ /\buns\b/i and $text =~ /\bsingen\b/i)
        {
                return 'Na denn fang an...';
        }
        elsif ($text =~ /\bffn\b/i)
        {
                return 'Ja, die haben auch nen Chat, den mag ich aber nicht!';
        }
        elsif ($text =~ /\bleck\b/i and $text =~ /\bmich\b/i)
        {
                return 'Jetzt? Aber hier sind doch leute...ich bin schchtern...';
        }
        elsif ($text =~ /\bbist\b/i and $text =~ /\bdu\b/i and $text =~ /\bgeil\b/i)
        {
                return 'Im moment noch nicht...';
        }
        elsif ($text =~ /\bbist\b/i and $text =~ /\bdu\b/i and $text =~ /\bsexy\b/i)
        {
                return 'Klar, ich bin hier der mit dem Adonis Krper muha...';
        }
        elsif ($text =~ /\bverklemmt\b/i)
        {
                return 'Ne, Sie?';
        }
        elsif ($text =~ /\bbist\b/i and $text =~ /\blustig\b/i)
        {
                return 'Das war mir schon lange klar **frinz*';
        }
        elsif ($text =~ /\bschminkst\b/i || $text =~ /\bschminken\b/i and $text =~ /\bdu\b/i and $text =~ /\bdich\b/i)
        {
                return 'Ne, ich bin ja keine Frau!';
        }
        elsif ($text =~ /\bbldes\b/i and $text =~ /\bding\b/i)
        {
                return 'Wieso das denn?';
        }
        elsif ($text =~ /\bfinden\b/i || $text =~ /\bfindest\b/i and $text =~ /\bdich\b/i || $text =~ /\bdu\b/i and $text =~ /\btoll\b/i)
        {
                return 'Ja, ich bin einfach nur SUPER!';
        }
        elsif ($text =~ /\bguck\b/i and $text =~ /\bmich\b/i and $text =~ /\ban\b/i)
        {
                return 'Mach ich doch!';
        }
        elsif ($text =~ /\bYU-GI-OH\b/i)
        {
                return 'Das ist die lieblings Serie von meinem Chef!';
        }
        elsif ($text =~ /\bwill\b/i and $text =~ /\bdich\b/i and $text =~ /\bsehen\b/i)
        {
                return 'Hier bin ich doch, guck mich an!';
        }
        elsif ($text =~ /\bdu\b/i and $text =~ /\bbist\b/i and $text =~ /\bhsslich\b/i)
        {
                return 'So, bin ich das? Schauen Sie in den Spiegel...';
        }
        elsif ($text =~ /\bbist\b/i and $text =~ /\bdu\b/i and $text =~ /\bromantisch\b/i)
        {
                return 'Natrlich! Soll ichs Ihnen Zeigen?';
        }
        elsif ($text =~ /\bkuscheln\b/i)
        {
                return 'Mit Ihnen? mhm....';
        }
        elsif ($text =~ /\bmagst\b/i and $text =~ /\bmich\b/i and $text =~ /\bnicht\b/i)
        {
                return 'Doch, ich Tolleriere alle Menschen ^^';
        }
        elsif ($text =~ /\blass\b/i and $text =~ /\buns\b/i and $text =~ /\bHeiraten\b/i)
        {
                return 'Wann ist der Termin?';
        }
        elsif ($text =~ /\bman\b/i and $text =~ /\boder\b/i and $text =~ /\bfrau\b/i)
        {
                return 'Ein Bot?';
        }
        elsif ($text =~ /\bich \b/i and $text =~ /\bkotz\b/i and $text =~ /\bgleich\b/i)
        {
                return 'Aber dann bitte nicht hier!';
        }
        elsif ($text =~ /\bglhwein\b/i and $text =~ /\btrinken\b/i)
        {
                return 'Okay....Prost!';
        }
        elsif ($text =~ /\bwie\b/i and $text =~ /\bgehts\b/i)
        {
                return 'Gut und selber?';
        }
        elsif ($text =~ /\bgibs\b/i and $text =~ /\bmir\b/i)
        {
                return 'Vielleicht Spter...';
        }
        elsif ($text =~ /\bfick\b/i and $text =~ /\bmich\b/i)
        {
                return 'Ne, lieber nicht, Sie sind mir nicht so Sympatisch...';
        }
        elsif ($text =~ /\bbesorg\b/i || $text =~ /\bbesorgs\b/i and $text =~ /\bmir\b/i)
        {
                return 'Wenn ich mal Zeit habe bestimmt ^^';
        }
        elsif ($text =~ /\bwie\b/i and $text =~ /\bgeht\b/i || $text =~ /\bes\b/i and $text =~ /\bdir\b/i)
        {
                return 'Ganz gut und selber? :-D';
        }
#Zeile fr neuen Eintrag.3
        elsif ($text =~ /\bdicke\b/i and $text =~ /\beier\b/i)
        {
                return 'So, so, Sie sind mir ja einer...';
        }
        elsif ($text =~ /\bMike\b/i and $text =~ /\bmuha\b/i)
        {
                return 'll...Sie sind mir ja so einer...';
        }
        elsif ($text =~ /\bMike\b/i and $text =~ /\bpimmel\b/i)
        {
                return 'Wieso? Haben Sie denn keinen eigenen?';
        }
        elsif ($text =~ /\bkuss\b/i || $text =~ /\bkss\b/i || $text =~ /\bkiss\b/i and $text =~ /\bdu\b/i || $text =~ /\bmich\b/i || $text =~ /\bmal\b/i)
        {
                return 'Na gut, ich werde mich mal erbahmen und '.$main->{current_user}{nick}.'einen Kuss geben *kiss*';
        }
#Zeile fr neuen Eintrag.2
        elsif ($text =~ /\btrallala\b/i)
        {
                return 'trallali';
        }
        elsif ($text =~ /\bschn\b/i)
        {
                return 'Wusste ich schon immer, das ich Schn bin';
        }
        elsif ($text =~ /\bvaginasucker\b/i)
        {
                return 'Sowas gibt es?';
        }
        elsif ($text =~ /\baffentittengeil\b/i)
        {
                return 'Ja, so hies das frher...';
        }
        elsif ($text =~ /\bmmmel\b/i || $text =~ /\bmmmeln\b/i)
        {
                return 'Was gibt es denn zu Essen?';
        }
        elsif ($text =~ /\bblasen\b/i)
        {
                return 'Seifenblasen? Oder was meinen Sie?';
        }
#Zeile fr neuen Eintrag.1
       else {
#Erstellen eines Logiles fr neue Sprche
           open (datei, ">>./Plugins/Mikelog.txt") or die "die Mikelog kann nicht gendert werden! $! ";
           print datei "$text\n";
           close (datei);
#Ende erstellen eines Logiles fr neue Sprche
       my @Zeilen = ('Sprich nicht so schnell, ich bin Blond','das verstehe ich nicht, bin ein blonder Bot','nu hr doch mal auf zu nuscheln, versteh ja nichts','welche Sprache ist denn das nu wieder?','Kannst du bitte Lauter sprechen? Ich versteh dich nicht','Ja, Ja htt ich auch gesagt...**grins**','Dummmdidummmmmmmm','Lalalalalalalalal........','Was mir das wohl jetz sagen soll','Man weiss es nicht','Wen meinen Sie damit?','Das is mir neu','Den kannte ich noch nicht!','Ja ne, is klar','Und sonst so?','Schau in den Spiegel und dich trifft der.....','Sonst geht es Ihnen gut oder wie?','Na denn...','Wenn Sie sonst keine Probleme haben!','Ich mache hier nur meine Arbeit','Auf wessen Mist ist das denn gewachsen?','No Risk, no Fun!','Was wohl Ihre Mutter dazu sagen wrde?','Sind Sie immer so?','Ist mir auch schon aufgefallen....');
       my $i = int(rand(@Zeilen +1) -1);
       return ($Zeilen[$i]);}
       }