###################################################################
#  GTChat 0.95 Alpha Plugin                                       #
#  Written for release 20021101                                   #
#  Author: BrownWolf                                              #
#                                                                 #
#  This plugin provides the dupes command /dupemail               #
###################################################################

package GTChat::Plugins::dupes;
use strict;

return bless({
	command_handlers => {
		'dupemail' => \&commandHandler,
	},
});

sub commandHandler
{
	my($self,$main,$command,$text,$email,$user) = @_;
	my(%dupes,@results);
	my $list = $main->getAllUsers();
        my $user = $main->getAllUsers();
	foreach my $user(@$list) {
                my $email = $user->{email};
       		push(@{$dupes{$email}}, $user->{nick});  
	}
        while(my($ip,$users) = each %dupes){
		if(scalar(@$users) < 2){
                delete $dupes{$email};
		}else{
		push(@results, "[ @$users <$email> ]");
		}
        }
	$text = scalar @results < 1 ? "Keine" : join " ", @results;
	my $output = $main->createInfoOutput('dupemail',{dupes => $text});   
        return [$output];
	
}