#!/usr/bin/perl

################################################################################
#  GTChat 0.95 Alpha Plugin                                                    #
#  Written for release 20030110                                                #
#  Author: Norman Rath                                                         #
#                                                                              #
#  This plugin is a ImageUpload Plugin for the userprofile                     #
#                                                                              #
################################################################################

use strict;
use CGI::Carp qw(fatalsToBrowser);
use CGI;

my $var = new CGI;

if($var->param("image"))
{
	my $imgfile = $var->param("image");
	$imgfile =~ s/.*[\/\\](.*)/$1/;

	my $image_ext = $var->param("image_ext");

	if($imgfile !~ /.*\.($image_ext)$/i)
	{
		print "Location: chat.pl?id=".$var->param("id")."&language=".$var->param("language")."&css=".$var->param("css")."&template=".$var->param("template")."&username=".$var->param("name")."&image_ext=1\n\n";
		exit;
	}

	my $image = $var->param("image");

	my $filesize = -s $image;

	if($filesize > $var->param("image_max")*1024)
	{
		print "Location: chat.pl?id=".$var->param("id")."&language=".$var->param("language")."&css=".$var->param("css")."&template=".$var->param("template")."&username=".$var->param("name")."&image_max=1\n\n";
		exit;
	}

	my $filename = $var->param("name");
	$filename =~ s/[\/\\]/_/g;
	my $fileext = $imgfile;
	$fileext =~ s/.*[\.\\](.*)/$1/;
	$fileext =~ tr/A-Z/a-z/;
	unlink $var->param("image_dir").$var->param("filename") if($var->param("name").".".$fileext ne $var->param("filename") && $var->param("filename"));
	open(IMAGEUPLOAD,">".$var->param("image_dir").$filename.".".$fileext);
	binmode $image;
	while(<$image>)
	{
		print IMAGEUPLOAD;
	}
	close(IMAGEUPLOAD);
	print "Location: chat.pl?id=".$var->param("id")."&language=".$var->param("language")."&css=".$var->param("css")."&template=".$var->param("template")."&username=".$var->param("name")."&image_upload=1&image_new=1\n\n";
}
elsif($var->param("image_delete"))
{
	unlink $var->param("image_dir").$var->param("filename");
	print "Location: chat.pl?id=".$var->param("id")."&language=".$var->param("language")."&css=".$var->param("css")."&template=".$var->param("template")."&username=".$var->param("name")."&image_upload=1&image_delete=1\n\n";
}
elsif($var->param("image_activate"))
{
	print "Location: chat.pl?id=".$var->param("id")."&language=".$var->param("language")."&css=".$var->param("css")."&template=".$var->param("template")."&username=".$var->param("name")."&image_upload=1&image_activate=1\n\n";
}
else
{
	print "Location: chat.pl?id=".$var->param("id")."&language=".$var->param("language")."&css=".$var->param("css")."&template=".$var->param("template")."&username=".$var->param("name")."\n\n";
}

1;