###################################################################
#  GTChat 0.95 Alpha Plugin                                       #
#  Written for release 20021101                                   #
#  Author: Norman Rath                                            #
#                                                                 #
#  This plugin provides the myip command /myip                    #
###################################################################

package GTChat::Plugins::MyipCommand;
use strict;

return bless({
	command_handlers => {
		'myip' => \&commandHandler,
	},
});

sub commandHandler
{
	my($self,$main,$command,$text) = @_;

	if ($main->{current_user}{forwardedfor})
	{
		my $output = $main->createInfoOutput('myip',{ipadress => $main->{current_user}{forwardedfor},});
		return [$output->restrictToCurrentUser];
	}
	else
	{
		my $output = $main->createInfoOutput('myip',{ipadress => $main->{current_user}{ip},});
		return [$output->restrictToCurrentUser];
	}
}
