

package GTChat::Plugins::SaveCommand::095_02;
use strict;

return bless({
	command_handlers => {
		'save' => \&save_handler,
	},
});

sub save_handler
{
my($self,$main) = @_;
my $user = $main->{current_user};
my $onlinetime = $main->{runtime}{now} - $user->{lastlogin};
$user->{onlinetime} += $onlinetime;
my $timepoints = ($main->{runtime}{now} - $user->{lastlogin}) / 60;
$timepoints -= 10 if(!$user->{points} && $user->{onlinetime} < 600);
$timepoints = 0 if($timepoints < 0);
$user->{points} += $timepoints;
$user->{lastlogin} = $main->{runtime}{now}; 
$main->saveUser($user) if($main->{current_user}{name});
my $output = $main->createInfoOutput('saved',{nick => $user->{nick},});
			return [$output->restrictToCurrentUser];

}