###################################################################
#  GTChat 0.95 Alpha Plugin                                       #
#  Written for release 20021101                                   #
#  Author: Marcus Kristen                                         #
#                                                                 #
#  /resetpointsystem lscht Punkte und Onlinezeit von jedem User  #
###################################################################

package GTChat::Plugins::resetpointsystem;
use strict;

return bless({
        command_handlers => {
                'resetpointsystem' => \&commandHandler,
        },
});

sub commandHandler
{
        my($self,$main,$command) = @_;

        $main->open(local *FILE,$main->translateName('memberdir::memberlist.txt')) || return [];
        my @users=<FILE>;
        $main->close(*FILE);

        foreach (@users)
        {
                $_ =~ s/[\n\r]//g;
                my($nickname,$username) = split(/\|/,$_);
                my $user = $main->loadUser($username);
                $user->{onlinetime} = "";
                $user->{points} = "";
                $main->saveUser($user);
        }

        my $output = $main->createInfoOutput('resetpointsystem');
        return [$output];

}