###################################################################
#  GTChat 0.95 Alpha Plugin                                       #
#  Written for release 20021101                                   #
#  This plugin replaces the smileyshide in the text by the        #
#  appropriating images.                                          #
#  Autor:Lord                                                     #
###################################################################

package GTChat::Plugins::OutputFilters::Smileyshide::095_01;
use strict;

return bless({});

sub filterOutput
{
	my($self,$main,$output) = @_;
	
	if (!$main->{current_user}{nosmileys})
	{
		if (!exists($self->{smileyshide}))
		{
			$self->{smileyshide} = {};
			foreach my $smileyhide (@{$main->{settings}{smileyshide}})
			{
				my $image = undef;
				foreach (@$smileyhide)
				{
					if (!defined($image))
					{
						$image = $_;
			
						my ($width,$height);
						($width,$height) = @{$main->{settings}{images}{$image}} if defined($main->{settings}{images}{$image});
						$width = (defined($width) ? " width=$width": "");
						$height = (defined($height) ? " height=$height": "");
			
						my $alt = $main->toHTML($smileyhide->[1]);

						if (!$main->{current_user}{booster})
						{
							$image = "<img src=\"file:///C|/LUCHAT/images/$image.gif\" border=0$width$height alt=\"$alt\">";
						}
						else
						{
							$image = "<img src=\"$main->{settings}{urls}{imagesurl}$image.gif\" border=0$width$height alt=\"$alt\">";
						}
					}
					else
					{
						$self->{smileyshide}{$main->toHTML($_)} = $image;
					}
				}
			}
		}
	
		$$output =~ s/(\S+)/($self->{smileyshide}{$1}||$1)/ge;
	}
}