################################################################################
#  GTChat 0.95 Alpha Plugin                                                    #
#  Written for release 20030110                                                #
#  Author: Raphael Huwiler                                                     #
#			                                                       #
#                                                                              #
#  This plugin is a simple chat MSN Blocker                                    #
#                                                                              #
################################################################################
package GTChat::Plugins::TextFilters::MsnBlocker;
use strict;

return bless({});

sub checkText
{
	my($self,$main,$text) = @_;

	if ($$text =~ s/ (MSN|M S N|MS N|M SN|msn|m s n|ms n|m sn|) //i)
	{
		my $candidates = $main->getPossibleOnlineUsers($main->{current_user}{nick});
		my $user = $candidates->[0];

		$main->kickUser($user,{error_name => 'error_bottymsnkicked',nologoutmsg => 0});
	}
}